[arch-commits] Commit in gegl/repos (3 files)

Antonio Rojas arojas at archlinux.org
Sat Apr 24 10:52:04 UTC 2021


    Date: Saturday, April 24, 2021 @ 10:52:04
  Author: arojas
Revision: 413827

archrelease: copy trunk to staging-x86_64

Added:
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
    (from rev 413826, gegl/trunk/PKGBUILD)
  gegl/repos/staging-x86_64/gegl-openexr3.patch
    (from rev 413826, gegl/trunk/gegl-openexr3.patch)

---------------------+
 PKGBUILD            |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 gegl-openexr3.patch |   12 ++++++++++++
 2 files changed, 61 insertions(+)

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 413826, gegl/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2021-04-24 10:52:04 UTC (rev 413827)
@@ -0,0 +1,49 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+pkgver=0.4.30
+pkgrel=2
+pkgdesc="Graph based image processing framework"
+arch=('x86_64')
+url="https://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2' 'libraw' 'openexr' 'librsvg' 'libtiff' 'luajit' 'jasper' 'lensfun' 'suitesparse' 'poppler-glib')
+makedepends=('intltool' 'ruby' 'mesa' 'glu' 'ffmpeg' 'exiv2' 'vala' 'gobject-introspection' 'git' 'meson' 'python-gobject')
+optdepends=('ffmpeg: ffmpeg plugin' 'graphviz: for gegl-introspect')
+_commit=5ea11ee00d9061ca2cd61f83ece25dfcfe0e9596
+source=("git+https://gitlab.gnome.org/GNOME/gegl.git#commit=$_commit"
+        gegl-openexr3.patch)
+sha256sums=('SKIP'
+            '49f0870650d2c412d66e7479e2c516f3a3903a801db1c221cf262de77d45b3dd')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd ${pkgname}
+  git cherry-pick -n c1c3541caab485384087bbbcf1c83ef2d5bd4d43
+
+  patch -p1 < ../gegl-openexr3.patch # Fix build with OpenEXR 3
+}
+
+build() {
+  mkdir -p build
+  cd build
+  arch-meson ../$pkgname \
+    -Dworkshop=true \
+    -Dmrg=disabled \
+    -Dmaxflow=disabled
+  ninja
+}
+
+check() {
+  cd build
+  ninja test || :
+}
+
+package() {
+  cd build
+  DESTDIR="${pkgdir}" ninja install
+}

Copied: gegl/repos/staging-x86_64/gegl-openexr3.patch (from rev 413826, gegl/trunk/gegl-openexr3.patch)
===================================================================
--- staging-x86_64/gegl-openexr3.patch	                        (rev 0)
+++ staging-x86_64/gegl-openexr3.patch	2021-04-24 10:52:04 UTC (rev 413827)
@@ -0,0 +1,12 @@
+diff --git a/operations/external/exr-save.cc b/operations/external/exr-save.cc
+index 1e8c09d96..87abed511 100644
+--- a/operations/external/exr-save.cc
++++ b/operations/external/exr-save.cc
+@@ -45,6 +45,7 @@ extern "C" {
+ #include <ImfChromaticities.h>
+ #include <ImfStandardAttributes.h>
+ #include <ImfArray.h>
++#include <ImfFrameBuffer.h>
+ #include "ImathRandom.h"
+ 
+ 



More information about the arch-commits mailing list